%define pkg eterm-256color

Name: emacs-%{pkg}
%define snapshot_date	20210423
%define snapshot_hash	c9cfcce
Version: 0.3.13^%{snapshot_date}git%{snapshot_hash}
Release: 1%{?dist}
Summary: Uses xterm-color to add customizable 256 color support to term and ansi-term in emacs
License: GPL3
URL: https://github.com/dieggsy/%{pkg}
Source:	%{url}/archive/%{snapshot_hash}.tar.gz?downloadas=/%{pkg}-%{snapshot_hash}.tar.gz

BuildArch:      noarch
BuildRequires:  emacs emacs-f emacs-xterm-color
%{?_emacs_version:
Requires:       emacs(bin) >= %{_emacs_version}
}
Requires:	emacs-f emacs-xterm-color


%description
This package uses xterm-color to add customizable 256 color support to term and ansi-term for emacs.

USAGE

Add eterm-256color-mode to term-mode-hook:

    (add-hook 'term-mode-hook #'eterm-256color-mode)

Enjoy more colors.

NOTES

    - This package requires eterm-color. If it doesn’t exist on your system, you will be offered the option of fetching and compiling it from emacs-mirror.
    - You may have to restart ansi-term the very first time you start it after installing this package and adding the hook above - it should “just work” any time after that.
    - Make sure TERM really gets set to eterm-256color. It may be overridden if you export TERM in any of your shell init files.

CUSTOMIZATION

You can use the variable eterm-256color-disable-bold disable bold colors. When specified as bold, colors 0 - 7 will be rendered with their “bright” counterpart instead.


%prep
%define source_dir %{name}-%{snapshot_hash}
%autosetup -T -c -n %{source_dir}
tar -xvf %{SOURCE0} --strip-components 1

%build
%{_emacs_bytecompile} %{pkg}.el

%install
install -d %{buildroot}%{_emacs_sitelispdir}/%{pkg}
install -m 0644 *.el* *.ti* %{buildroot}%{_emacs_sitelispdir}/%{pkg}

%files
%defattr(-,root,root,-)
%license LICENSE.md
%doc README.org
%{_emacs_sitelispdir}/%{pkg}

%changelog
* Wed Jun 28 2023 Honore Doktorr <hdfssk@gmail.com> - 0.3.13^20210423gitc9cfcce-1
- Initial packaging
